\begin{tikzpicture}[scale=0.7, every node/.style={transform shape}]
	\node[class,text width=7cm] (point)  {
		\textbf{\hfill Point \hfill}
		
		\nodepart{second}
		
		\nodepart{third}
		\code{virtual str()}: \code{void}
	};
	
	\node[class,text width=7cm] (point2d) [below left = 0.5cm of point.south] {
		\textbf{\hfill Point2D \hfill}
		
		\nodepart{second}
		
		\nodepart{third}
		\code{add(Point2D p)}: \code{Point2D}
		\code{equal(Point2D p)}: \code{bool}
	};

	\node[class,text width=7cm] (point3d) [below right = 0.5cm of point.south] {
		\textbf{\hfill Point3D \hfill}
		
		\nodepart{second}
		
		\nodepart{third}
		\code{add(Point3D p)}: \code{Point3D}
		\code{equal(Point3D p)}: \code{bool}
	};
	
	\path[childarrow] (point2d) -- (point);
	\path[childarrow] (point3d) -- (point);
\end{tikzpicture}